View Issue Details

IDProjectCategoryView StatusLast Update
0001155VariiSpace[All Projects] Generalpublic2017-05-08 16:12
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001155: Pouvoir assembler les modules en vaisseaux
DescriptionIl faut une page permettant à n'importe qui (même les non-inscrits!) d'assembler des modules pour créer leurs vaisseaux. Cette page devra donc présenter le vaisseau (centre), la liste des modules disponibles (encart) avec leurs propriétés générales (pas d'infobulle merci!)(pas de propriété pour l'instant) et permettre au joueurs de faire son assemblage.

Je m'inspirerai surement de Dr Brain pour l'affichage: chaque "strate" sera représentée par une vue 2D plate, et on pourra donc facilement construire son vaisseau en ajoutant un module dans une strate donnée, et visualiser les modules actuellement présents pour ce vaisseau.

Il faudra aussi indiquer les caractéristiques générales du vaisseau-résultat (masse, volume, etc), et pouvoir lui donner un nom.(pas de propriété pour l'instant)

La fonction de sauvegarde ne sera disponible que pour les utilisateurs enregistrés. On n'aura pas de vue "externe" du vaisseau: on fait le blueprint du vaisseau (dessin technique). Les vues et images externes jolies, en verra plus tard!
TagsNo tags attached.
Attach Tags

Relationships

parent of 0001154 CloseXenos Créer le système des modules de vaisseau 
parent of 0001153 CloseXenos Créer le système de compte de jeu, avec la vue associée 
has duplicate 0001157 CloseXenos Vue listant les blueprints dont on dispose 
child of 0001156 CloseXenostom Pouvoir enregistrer un "brouillon" de son vaisseau sans être connecté 
child of 0001159 CloseXenostom Mécanisme d'arrivée des nouveaux joueurs 
child of 0001158 CloseXenos Permettre aux joueurs de construire les vaisseaux 
child of 0001532 Understood Donner la possibilité d'annuler la suppression d'un plan de vaisseau 

Activities

Xenos

Xenos

2016-05-31 16:14

administrator   ~0001907

Il faut les comptes de jeu pour pouvoir sauver les vaisseaux créés.
Xenostom

Xenostom

2016-06-03 18:11

developer   ~0001916

Last edited: 2016-08-27 19:40

A faire/vérifier:

• Si je ne suis pas connecté, ne pas pouvoir créer de vaisseau
• Page listant les vaisseaux que j'ai créé, accessible ssi je suis connecté
Xenos

Xenos

2016-06-04 14:42

administrator   ~0001919

Last edited: 2016-08-27 19:40

Je peux donc créer un plan de vaisseau (faudra trouver un terme plus beau non?), le modifier, le supprimer, lui donner un nom, y mettre des modules, agencés comme je veux.

Je n'ai aucune contrainte sur les modules pour le moment (et aucun effet pour chaque module)
Xenos

Xenos

2016-08-18 22:41

administrator   ~0002156

Last edited: 2016-08-27 19:40

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:46

administrator   ~0002196

A refaire car j'ai viré cela lors de la release primale
Xenos

Xenos

2017-05-08 16:12

administrator   ~0003254

Je n'ai pas du tout fait la vue que j'avais en tête, car je n'ai pour l'instant rien défini quant à la position d'un module dans un vaisseau. Donc, la position n'important peu, j'ai juste mis des champs textes à nombre.

Issue History

Date Modified Username Field Change
2016-04-24 21:32 Xenos New Issue
2016-04-24 21:32 Xenos Status New => Accepted
2016-04-24 21:51 Xenos Relationship added parent of 0001154
2016-04-24 21:51 Xenos Relationship added child of 0001156
2016-04-24 21:51 Xenos Relationship added child of 0001157
2016-04-24 21:52 Xenos Relationship added child of 0001159
2016-04-24 21:53 Xenos Relationship added child of 0001158
2016-05-21 20:19 Xenos Assigned To => Xenos
2016-05-21 20:19 Xenos Status Accepted => In progress
2016-05-21 20:19 Xenos Description Updated View Revisions
2016-05-21 20:20 Xenos Description Updated View Revisions
2016-05-31 16:14 Xenos Note Added: 0001907
2016-05-31 16:14 Xenos Status In progress => Accepted
2016-05-31 16:14 Xenos Relationship added parent of 0001153
2016-06-03 13:24 Xenostom Status Accepted => In progress
2016-06-03 18:11 Xenostom Note Added: 0001916
2016-06-03 18:11 Xenostom Status In progress => Accepted
2016-06-04 10:29 Xenos Status Accepted => In progress
2016-06-04 11:20 Xenos Relationship added child of 0001532
2016-06-04 14:42 Xenos Note Added: 0001919
2016-06-04 14:42 Xenos Status In progress => Ready
2016-06-04 14:42 Xenos Resolution open => fixed
2016-06-04 15:12 Xenos Relationship replaced has duplicate 0001157
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002156
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:40 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:46 Xenos Note Added: 0002196
2016-08-28 18:46 Xenos Status Resolved => Understood
2017-05-08 16:12 Xenos Status Understood => Close
2017-05-08 16:12 Xenos Note Added: 0003254